> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apimart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Vidu Q3(pro/turbo) 動画生成

>  - 非同期処理モード、タスクIDを返してその後の照会に使用
- テキストから動画、画像から動画、先頭・末尾フレーム動画生成をサポート
- 540p / 720p / 1080p 解像度をサポート
- 長さ範囲1〜16秒、デフォルトで音声有効 

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.apimart.ai/v1/videos/generations \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "model": "viduq3-pro",
      "prompt": "猫がピアノを弾いている、カメラがゆっくりズームイン",
      "duration": 8,
      "resolution": "1080p",
      "aspect_ratio": "16:9"
    }'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.apimart.ai/v1/videos/generations"

  payload = {
      "model": "viduq3-pro",
      "prompt": "猫がピアノを弾いている、カメラがゆっくりズームイン",
      "duration": 8,
      "resolution": "1080p",
      "aspect_ratio": "16:9"
  }

  headers = {
      "Authorization": "Bearer <token>",
      "Content-Type": "application/json"
  }

  response = requests.post(url, json=payload, headers=headers)

  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const url = "https://api.apimart.ai/v1/videos/generations";

  const payload = {
    model: "viduq3-pro",
    prompt: "猫がピアノを弾いている、カメラがゆっくりズームイン",
    duration: 8,
    resolution: "1080p",
    aspect_ratio: "16:9"
  };

  const headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(payload)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error('Error:', error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://api.apimart.ai/v1/videos/generations"

      payload := map[string]interface{}{
          "model":        "viduq3-pro",
          "prompt":       "猫がピアノを弾いている、カメラがゆっくりズームイン",
          "duration":     8,
          "resolution":   "1080p",
          "aspect_ratio": "16:9",
      }

      jsonData, _ := json.Marshal(payload)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
      req.Header.Set("Authorization", "Bearer <token>")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```

  ```java Java theme={null}
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpResponse;
  import java.net.URI;

  public class Main {
      public static void main(String[] args) throws Exception {
          String url = "https://api.apimart.ai/v1/videos/generations";

          String payload = """
          {
            "model": "viduq3-pro",
            "prompt": "猫がピアノを弾いている、カメラがゆっくりズームイン",
            "duration": 8,
            "resolution": "1080p",
            "aspect_ratio": "16:9"
          }
          """;

          HttpClient client = HttpClient.newHttpClient();
          HttpRequest request = HttpRequest.newBuilder()
              .uri(URI.create(url))
              .header("Authorization", "Bearer <token>")
              .header("Content-Type", "application/json")
              .POST(HttpRequest.BodyPublishers.ofString(payload))
              .build();

          HttpResponse<String> response = client.send(request,
              HttpResponse.BodyHandlers.ofString());

          System.out.println(response.body());
      }
  }
  ```

  ```php PHP theme={null}
  <?php

  $url = "https://api.apimart.ai/v1/videos/generations";

  $payload = [
      "model" => "viduq3-pro",
      "prompt" => "猫がピアノを弾いている、カメラがゆっくりズームイン",
      "duration" => 8,
      "resolution" => "1080p",
      "aspect_ratio" => "16:9"
  ];

  $ch = curl_init($url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_POST, true);
  curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      "Authorization: Bearer <token>",
      "Content-Type: application/json"
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  echo $response;
  ?>
  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'
  require 'uri'

  url = URI("https://api.apimart.ai/v1/videos/generations")

  payload = {
    model: "viduq3-pro",
    prompt: "猫がピアノを弾いている、カメラがゆっくりズームイン",
    duration: 8,
    resolution: "1080p",
    aspect_ratio: "16:9"
  }

  http = Net::HTTP.new(url.host, url.port)
  http.use_ssl = true

  request = Net::HTTP::Post.new(url)
  request["Authorization"] = "Bearer <token>"
  request["Content-Type"] = "application/json"
  request.body = payload.to_json

  response = http.request(request)
  puts response.body
  ```

  ```swift Swift theme={null}
  import Foundation

  let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!

  let payload: [String: Any] = [
      "model": "viduq3-pro",
      "prompt": "猫がピアノを弾いている、カメラがゆっくりズームイン",
      "duration": 8,
      "resolution": "1080p",
      "aspect_ratio": "16:9"
  ]

  var request = URLRequest(url: url)
  request.httpMethod = "POST"
  request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
  request.setValue("application/json", forHTTPHeaderField: "Content-Type")
  request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

  let task = URLSession.shared.dataTask(with: request) { data, response, error in
      if let error = error {
          print("Error: \(error)")
          return
      }

      if let data = data, let responseString = String(data: data, encoding: .utf8) {
          print(responseString)
      }
  }

  task.resume()
  ```

  ```csharp C# theme={null}
  using System;
  using System.Net.Http;
  using System.Text;
  using System.Threading.Tasks;

  class Program
  {
      static async Task Main(string[] args)
      {
          var url = "https://api.apimart.ai/v1/videos/generations";

          var payload = @"{
              ""model"": ""viduq3-pro"",
              ""prompt"": ""猫がピアノを弾いている、カメラがゆっくりズームイン"",
              ""duration"": 8,
              ""resolution"": ""1080p"",
              ""aspect_ratio"": ""16:9""
          }";

          using var client = new HttpClient();
          client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

          var content = new StringContent(payload, Encoding.UTF8, "application/json");
          var response = await client.PostAsync(url, content);
          var result = await response.Content.ReadAsStringAsync();

          Console.WriteLine(result);
      }
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "code": 200,
    "data": [
      {
        "status": "submitted",
        "task_id": "task_xxxxxxxxxx"
      }
    ]
  }
  ```

  ```json 400 theme={null}
  {
    "error": {
      "code": 400,
      "message": "リクエストパラメータが無効です",
      "type": "invalid_request_error"
    }
  }
  ```

  ```json 401 theme={null}
  {
    "error": {
      "code": 401,
      "message": "認証に失敗しました。APIキーをご確認ください",
      "type": "authentication_error"
    }
  }
  ```

  ```json 402 theme={null}
  {
    "error": {
      "code": 402,
      "message": "残高不足です。チャージしてから再試行してください",
      "type": "payment_required"
    }
  }
  ```

  ```json 429 theme={null}
  {
    "error": {
      "code": 429,
      "message": "リクエストが多すぎます。しばらくしてから再試行してください",
      "type": "rate_limit_error"
    }
  }
  ```

  ```json 500 theme={null}
  {
    "error": {
      "code": 500,
      "message": "サーバー内部エラーです。しばらくしてから再試行してください",
      "type": "server_error"
    }
  }
  ```
</ResponseExample>

## 認証

<ParamField header="Authorization" type="string" required>
  すべてのAPIエンドポイントはBearer Token認証が必要です

  APIキーの取得：

  [APIキー管理ページ](https://apimart.ai/keys)にアクセスしてAPIキーを取得してください

  リクエストヘッダーに追加：

  ```
  Authorization: Bearer YOUR_API_KEY
  ```
</ParamField>

## リクエストパラメータ

<ParamField body="model" type="string" required>
  動画生成モデル名

  サポートされているモデル：

  * `viduq3-pro` - Vidu Q3 Pro
  * `viduq3-turbo` - Vidu Q3 Turbo
</ParamField>

<ParamField body="prompt" type="string" required>
  テキストプロンプト、最大 **2000 文字**

  テキストから動画では必須。画像から動画および先頭・末尾フレームモードでは任意。

  例：`"猫がピアノを弾いている、カメラがゆっくりズームイン"`
</ParamField>

<ParamField body="duration" type="integer" default="5">
  動画の長さ（秒）

  範囲：`1` から `16`

  デフォルト：`5`
</ParamField>

<ParamField body="resolution" type="string" default="720p">
  動画の解像度

  オプション：

  * `540p` - 標準画質
  * `720p` - HD（デフォルト）
  * `1080p` - フルHD

  デフォルト：`720p`
</ParamField>

<ParamField body="aspect_ratio" type="string">
  動画のアスペクト比（テキストから動画モードのみ）

  オプション：

  * `16:9` - 横向き
  * `9:16` - 縦向き
  * `4:3` - 従来型
  * `3:4` - 縦型従来型
  * `1:1` - 正方形

  <Warning>
    このパラメータはテキストから動画モード（`image_urls` を指定しない場合）でのみ使用できます。
  </Warning>
</ParamField>

<ParamField body="image_urls" type="array<url>">
  画像から動画生成用の画像URL配列

  システムは画像の数に基づいて生成モードを自動判定します：

  * **0枚**（未指定）：テキストから動画モード
  * **1枚**：画像から動画モード（画像を開始フレームとして使用）
  * **2枚**：先頭・末尾フレームモード（1枚目=先頭フレーム、2枚目=末尾フレーム）

  例：`["https://example.com/photo.jpg"]`

  <Warning>
    * 最大2枚まで
    * 先頭・末尾フレームモードでは正確に2枚の画像が必要です
    * `image_urls` を指定した場合（1枚でも2枚でも）、`aspect_ratio` パラメータは同時に使用できません。動画のアスペクト比は画像から自動的に決定されます
  </Warning>
</ParamField>

<ParamField body="audio" type="boolean" default="true">
  音声を生成するかどうか（セリフ、効果音）

  デフォルト：`true`

  無音動画が必要な場合は `false` に設定してください。
</ParamField>

<ParamField body="seed" type="integer">
  生成内容のランダム性を制御するためのシード整数

  範囲：`-1` ～ `2^32-1` の整数

  <Note>
    * 同じリクエストでも、異なる seed 値（未指定または `-1` の場合はランダムな数値が使用されます）を渡すと、異なる結果が生成されます
    * 同じリクエストで同じ seed 値を渡すと、類似した結果が生成されますが、完全に一致することは保証されません
  </Note>
</ParamField>

## 自動ルーティング

システムは `image_urls` の画像数に基づいて生成モードを自動判定します：

| 画像数     | モード       | 説明                    |
| ------- | --------- | --------------------- |
| 0枚（未指定） | テキストから動画  | テキスト記述のみから生成          |
| 1枚      | 画像から動画    | 画像を開始フレームとして使用        |
| 2枚      | 先頭・末尾フレーム | 1枚目=先頭フレーム、2枚目=末尾フレーム |

## パラメータサポートマトリクス

| パラメータ          | テキストから動画 | 画像から動画  | 先頭・末尾フレーム |
| -------------- | -------- | ------- | --------- |
| `model`        | ✅ 必須     | ✅ 必須    | ✅ 必須      |
| `prompt`       | ✅ 必須     | 任意      | 任意        |
| `image_urls`   | -        | ✅ 1枚    | ✅ 2枚      |
| `duration`     | ✅ 1-16秒  | ✅ 1-16秒 | ✅ 1-16秒   |
| `resolution`   | ✅        | ✅       | ✅         |
| `aspect_ratio` | ✅        | -       | -         |
| `audio`        | ✅        | ✅       | ✅         |
| `seed`         | ✅        | ✅       | ✅         |

## レスポンス

<ResponseField name="code" type="integer">
  レスポンスステータスコード、成功時は200
</ResponseField>

<ResponseField name="data" type="array">
  レスポンスデータ配列

  <Expandable title="配列要素">
    <ResponseField name="status" type="string">
      タスクステータス、初回送信時は `submitted`
    </ResponseField>

    <ResponseField name="task_id" type="string">
      タスクの一意識別子、タスクステータスと結果の照会に使用
    </ResponseField>
  </Expandable>
</ResponseField>

## 使用シーン

### シーン 1：テキストから動画

```json theme={null}
{
  "model": "viduq3-pro",
  "prompt": "猫がピアノを弾いている、カメラがゆっくりズームイン",
  "duration": 8,
  "resolution": "1080p",
  "aspect_ratio": "16:9"
}
```

### シーン 2：画像から動画（1枚の画像）

```json theme={null}
{
  "model": "viduq3-pro",
  "prompt": "人物がゆっくり振り向いて微笑む",
  "image_urls": ["https://example.com/photo.jpg"],
  "duration": 5,
  "resolution": "720p"
}
```

### シーン 3：先頭・末尾フレーム動画

```json theme={null}
{
  "model": "viduq3-pro",
  "prompt": "人物が立った状態からゆっくり座る",
  "image_urls": [
    "https://example.com/first.jpg",
    "https://example.com/last.jpg"
  ],
  "duration": 8
}
```

### シーン 4：音声なし（無音動画）

```json theme={null}
{
  "model": "viduq3-pro",
  "prompt": "夕暮れの海景タイムラプス撮影",
  "duration": 10,
  "resolution": "1080p",
  "audio": false
}
```

<Note>
  **タスク結果の照会**

  動画生成は非同期タスクです。送信後に `task_id` が返されます。[タスクステータスの取得](/ja/api-reference/tasks/status) エンドポイントで生成の進捗と結果を照会できます。
</Note>
